/* ********************************************* */
/* ** Y,Cb,Cr  R,G,B λФΤ׻ ** */

float			rr[256],	bg[256],
			rg[256],	bb[256];
void makeCbCr()
{
   int			i;
   char			tmp;

   for (i=0;i<256;i++)
     {
     tmp = char(i);
     rr[i] = 1.40200*(tmp);
     rg[i] = 0.71414*(tmp);
     bg[i] = 0.34414*(tmp);
     bb[i] = 1.77200*(tmp);
     };
};

/* ********************************************* */
/* Y,Cb,Cr  R,G,B λСԥͤؤѴ */

unsigned char rgb(unsigned char y,unsigned char cb,unsigned char cr)
{
   int			r,		g,		b;
   unsigned char	pixel;

   r = int(y + rr[cr]);
   if (r<0) r=0; else if (r>255) r=7; else r>>=5;
   g = int(y - bg[cb] - rg[cr]);
   if (g<0) g=0; else if (g>255) g=7; else g>>=5;
   b = int(y + bb[cb]);
   if (b<0) b=0; else if (b>255) b=3; else b>>=6;
   pixel = (r << 5) | (g << 2) | b;

   return pixel;
};
